Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.imageio.event
Interface IIOReadWarningListener

All Superinterfaces:
  EventListener

    public interface IIOReadWarningListener

extends EventListener

An interface used by `ImageReader` implementations to notify callers of their image and thumbnail reading methods of warnings (non-fatal errors). Fatal errors cause the relevant read method to throw an `IIOException`.

Localization is handled by associating a `Locale` with each `IIOReadWarningListener` as it is registered with an `ImageReader`. It is up to the `ImageReader` to provide localized messages.

See Also:
  `ImageReader.addIIOReadWarningListener(javax.imageio.event.IIOReadWarningListener)`, `ImageReader.removeIIOReadWarningListener(javax.imageio.event.IIOReadWarningListener)`

Method Summary
`void` | `warningOccurred(ImageReader source, String warning)` Reports the occurence of a non-fatal error in decoding.

Method Detail

### warningOccurred

    void warningOccurred(ImageReader source,
                         String warning)

  Reports the occurence of a non-fatal error in decoding. Decoding will continue following the call to this method. The application may choose to display a dialog, print the warning to the console, ignore the warning, or take any other action it chooses.

  Parameters:
    `source` - the `ImageReader` object calling this method.
    `warning` - a `String` containing the warning.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.